Subject: Re: [PATCH] powerpc/vdso64: Add support for CLOCK_{REALTIME/MONOTONIC}_COARSE

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 21 Jul 2017 16:05:37 +1000

On Fri, 2017-07-21 at 10:10 +0530, Santosh Sivaraj wrote:
> In case of a bogus clock id, the default case sets 'ret' to -1, which forces it
> to fallback to the syscall.
> > I think the solution is probably to do the syscall fallback in asm, and
> > everything else in C.
> 
> Ok. That's what Sergey also sugested. I will send a v2.

Beware that the vDSO has no TOC. You need to be extremely careful that
the generated code by the compiler doesn't try to access/use a TOC.

I would rather continue doing things in asm at this stage.

Ben.